    001    /*
    002     * Licensed to the Apache Software Foundation (ASF) under one or more
    003     * contributor license agreements.  See the NOTICE file distributed with
    004     * this work for additional information regarding copyright ownership.
    005     * The ASF licenses this file to You under the Apache License, Version 2.0
    006     * (the "License"); you may not use this file except in compliance with
    007     * the License.  You may obtain a copy of the License at
    008     *
    009     *     http://www.apache.org/licenses/LICENSE-2.0
    010     *
    011     * Unless required by applicable law or agreed to in writing, software
    012     * distributed under the License is distributed on an "AS IS" BASIS,
    013     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014     * See the License for the specific language governing permissions and
    015     * limitations under the License.
    016     */
    017
    018    package org.apache.commons.configuration;
    019
    020    /**
    021     * Comparator for configurations interface.
    022     *
    023     * @since 1.0
    024     *
    025     * @author <a href="mailto:herve.quiroz@esil.univ-mrs.fr">Herve Quiroz</a>
    026     * @version $Id: ConfigurationComparator.java 1208783 2011-11-30 21:12:45Z oheger $
    027     */
    028    public interface ConfigurationComparator
    029    {
    030        /**
    031         * Compare two configuration objects.
    032         *
    033         * @param a the first configuration
    034         * @param b the second configuration
    035         * @return true if the two configurations are identical according to
    036         *         the implemented rules
    037         */
    038        boolean compare(Configuration a, Configuration b);
    039    }
    040